import { EventEmitter } from '../../../stencil-public-runtime';
import { LanguageSelectori18n, LanguageSelectorOption } from './pn-language-selector-types';
export declare class PnlanguageSelector {
    hostElement: HTMLElement;
    value: string;
    appearance?: 'light' | 'dark';
    selectedLanguageName: string;
    options: LanguageSelectorOption[];
    i18n: LanguageSelectori18n;
    setLanguage: EventEmitter;
    componentWillLoad(): void;
    componentDidLoad(): void;
    initialize(): void;
    setInitialSelectedLanguageName(): void;
    addEventBindingsToOptions(): void;
    setSelectedLanguageName(): void;
    onSetCurrentLanguage(option: LanguageSelectorOption): void;
    setTranslations(): void;
    onValueChange(): void;
    render(): any;
}
